Package org.h2gis.functions.spatial.create

## Class ST_MakeEllipse

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MakeEllipse

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_MakeEllipse
    extends org.h2gis.api.DeterministicScalarFunction

ST_MakeEllipse constructs an elliptical POLYGON with the given width and height centered at the given point. Each ellipse contains 100 line segments.

Author:
  Adam Gouge, Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MakeEllipse()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Polygon` `makeEllipse​(org.locationtech.jts.geom.Point p, double width, double height)` Make an ellipse centered at the given point with the given width and height.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MakeEllipse

    public ST_MakeEllipse()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### makeEllipse

    public static org.locationtech.jts.geom.Polygon makeEllipse​(org.locationtech.jts.geom.Point p,
                                                                double width,
                                                                double height)
                                                         throws SQLException

Make an ellipse centered at the given point with the given width and height.

Parameters:
  `p` - Point
  `width` - Width
  `height` - Height
Returns:
  An ellipse centered at the given point with the given width and height
Throws:
  `SQLException` - if the width or height is non-positive